<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
  /**
   * Run the migrations.
   */
  public function up(): void
  {
    Schema::create('we_chat_pays', function (Blueprint $table) {
      $table->id();
      $table->string('app_id', 80)->comment('APPID')->index();
      $table->string('pay_id', 20)->comment('商户号');
      $table->string('number', 100)->comment('证书编号');
      $table->string('v3', 100)->comment('API KEY V3');
      $table->string('key', 200)->comment('证书 Key');
      $table->string('crt', 200)->comment('证书 Crt');
      $table->string('notify_url', 200)->comment('回调地址');
      $table->timestamps();
    });
  }

  /**
   * Reverse the migrations.
   */
  public function down(): void
  {
    Schema::dropIfExists('we_chat_pays');
  }
};
